Market Data
data-indexSummary
Lấy thông tin tổng hợp của một chỉ số theo ngày giao dịch.
Authorization
Bearer AuthorizationBearer <token>
Nhập JWT token theo định dạng Bearer <token>.
In: header
Header Parameters
Content-Typestringrequired
Định dạng nội dung request body, sử dụng "application/json".
User-Agentstringoptional
Thông tin client gửi request.
Accept-Languagestringoptional
Ngôn ngữ phản hồi mong muốn. Nếu không có header này, hệ thống sẽ mặc định là en
Query Parameters
boardstringrequired
Mã sàn của chỉ số. Giá trị có thể là `HOSE`, `HNX`, hoặc `UPCOM`.
tradingDatestringoptional
Ngày giao dịch theo định dạng `YYYY-MM-DD`.
Response Headers
X-RATELIMIT-LIMITstringoptional
Giới hạn số request trong chu kỳ.
X-RATELIMIT-REMAININGstringoptional
Số request còn lại trong chu kỳ hiện tại.
X-RATELIMIT-RESETstringoptional
Thời điểm reset giới hạn request.
Response Body
application/json
application/json
curl -X GET "https://api.ssi.com.vn/api/v3/data/indexSummary?board=HOSE" \ -H "Content-Type: application/json"Success
{
"tradingDate": "string",
"totalTrade": "string",
"totalTradeValue": "string",
"totalMatch": "string",
"totalMatchValue": "string",
"totalDeal": "string",
"totalDealValue": "string",
"indexChange": "string",
"indexChangePercentage": "string",
"indexValue": "string",
"totalAdvanceStock": "string",
"totalCeiLingStock": "string",
"totalDeclineStock": "string",
"totalFloorStock": "string",
"totalNoChangeStock": "string",
"totalPropBuy": "string",
"totalPropBuyValue": "string",
"totalPropSell": "string",
"totalPropSellValue": "string"
}Yêu cầu không hợp lệ.
{
"code": "400",
"msg": "Invalid request"
}